package com.chelvc.cloud.vehicle.api.constant;

import com.chelvc.framework.common.model.Enumerable;
import lombok.Getter;

/**
 * 优惠券获取方式枚举
 *
 * @author qizai
 * @date 2023/9/10
 */
@Getter
public enum CouponClaimType implements Enumerable {
    /**
     * 免费领取
     */
    FREE("免费领取"),

    /**
     * 活动领取
     */
    ACTIVITY("活动领取");

    /**
     * 类型描述
     */
    private final String description;

    CouponClaimType(String description) {
        this.description = description;
    }
}
