package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.api.dto.EarningsDTO;
import com.chelvc.cloud.vehicle.server.entity.CurrencyRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 收益流水记录表数据模型
 *
 * @author liude
 * @date 2024/03/15
 */
@Mapper
public interface CurrencyRecordMapper extends BaseMapper<CurrencyRecord> {

    /**
     * 获取7天收益、总收益、一个月得收益
     * @param userId
     * @return
     */
    EarningsDTO getCurrencyRecord(@Param("userId")Long userId, @Param("type")Integer type);
}
