package com.chelvc.cloud.vehicle.api.constant;


import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 系统通知类型
 */

@Getter
@AllArgsConstructor
public enum SystemInformType {

    ORDER(1, "新订单通知"),
    EVALUATE(2, "新点赞通知"),
    COUPON(3, "新优惠券通知"),
    COMMENT(4, "新评价通知"),
    PAY(5, "新付款通知"),
    ;

    private Integer value;

    private String desc;
}
