package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class OmsOrderOperateHistoryDTO implements Serializable {

    private static final long serialVersionUID = -8296451330091571213L;

    private Long id;

    private Long orderId;

    private Long userId;

    private Long operateMan;

    /** 订单状态：0->待付款；1->待发货；2->已发货；3->已完成；4->已关闭；5->无效订单 */
    private Integer orderStatus;

    private Integer flag;

    private String note;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private OmsOrderDetailDTO orderDetailDTO;
}
