package com.chelvc.cloud.vehicle.api.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 手动发奖参数
 */
@Data
public class HandRankAwardParam implements Serializable {

    private static final long serialVersionUID = 8128758674914161821L;

    /**
     * 用户标识
     */
    @NotNull(message = "用户标识不能为空")
    private Long userId;

    /**
     * 派奖标识
     */
    @NotNull(message = "派奖标识不能为空")
    private Long awardId;

    /**
     * 周期
     */
    @NotNull(message = "周期不能为空")
    private String period;
}
