package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.framework.common.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author liude
 * @date 2024/03/20 16:40
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MenuModifyParam implements Serializable {

    /**
     * 菜单id
     */
    private List<Long> menuIds;


}
